Home > 전체기사

이번 주 진행된 MS 정기 패치 통해 드러난 오미갓 취약점

  |  입력 : 2021-09-16 16:00
페이스북 보내기 트위터 보내기 네이버 밴드 보내기 카카오 스토리 보내기
어제 진행됐던 MS 정기 패치를 통해 수십 개의 취약점이 해결됐다. 그리고 하룻밤이 지난 지금 어제는 지적되지 않았는데 새로이 주목해야 할 취약점들이 강조되기 시작했다. 애저 서비스와 관련된 취약점 4개로, 이것들을 합쳐서 오미갓이라고 부른다.

[보안뉴스 문가용 기자] 이번 주 MS는 9월 정기 패치를 발표했다. 그 중 4가지 취약점들이 보안 담당자들의 관심을 끌고 있다. 이 취약점들은 오픈 관리 인프라스트럭처(Open Management Infrastructure)에서 발견된 것으로, 합쳐서 오미갓(OMIGOD)이라고 불리고 있다. 오픈 관리 인프라스트럭처(이하 OMI)는 광범위하게 사용되지만 비교적 덜 알려진 소프트웨어 에이전트로 애저 서비스들에 특히 많이 접목되고 있다. 즉 애저 사용 조직이라면 유의해서 살펴야 할 취약점이라는 뜻이다.

[이미지 = utoimage]


오미갓 취약점을 처음 발견한 건 보안 업체 위즈(Wiz)의 연구 팀이다. 취약점은 총 4개로 다음과 같다.
1) CVE-2021-38647 : 원격 코드 실행 취약점
2) CVE-2021-38648 : 권한 상승 취약점
3) CVE-2021-38645 : 권한 상승 취약점
4) CVE-2021-39649 : 권한 상승 취약점

OMI는 오픈소스로 유닉스와 리눅스 환경에서 사용되는 설정 관리 프로그램이다. 윈도 환경의 윈도 관리 도구(Windows Management Instrumentation, WMI)와 비슷하다. 애저 환경 내 리눅스 기반 가상기계들에 상당히 많이 구축되어 있다. 애저 사용자들은 OMI를 사용해 원격 및 로컬 환경을 설정하고 각종 통계 자료를 수집할 수 있다. 대다수의 애저 고객들이 사용 중에 있는데, 고객들은 그 사실을 인지하지 못하고 있다. 즉 이번 정기 패치를 살폈을 때 오미갓을 간과했을 가능성이 높다는 것이다.

“사용자들 대부분 애저를 오랜 시간 사용해 왔어도 OMI에 대해서는 잘 모릅니다. 너무나 당연하게 기능을 발휘하고 있기 때문이죠. 공기에 대해 우리가 자각하지 못하는 것과 비슷합니다.” 위즈의 수석 연구원인 쉬르 타마리(Shir Tamari)의 설명이다. “실제 이번 조사를 시작하면서 애저 사용자들을 수없이 만났고, 만날 때마다 OMI를 아느냐고 물어봤습니다. 단 한 사람도 아는 사람이 없었습니다.”

그도 그럴 것이 사용자들이 리눅스 가상기계를 클라우드 내에 구축하고 여러 가지 관련 서비스들을 활성화시키면 OMI는 뒷단에서 조용히 설치된다. OMI가 설치되는 걸 직접 볼 수 있는 사용자는 거의 없다. 심지어 애저 서비스 관련 문건들에서조차 OMI에 대한 상세 내용을 찾을 수 없다. 그런 OMI는 놀랍게도 가상기계 내에서 가장 높은 권한을 가지게 된다.

OMI가 사용되는 애저 서비스들은 다음과 같다고 한다.
1) 애저 오토메이션(Azure Automation)
2) 애저 오토매틱 업데이트(Azure Automatic Update)
3) 애저 오퍼레이션즈 매니지먼트 스위트(Azure Operations Management Suite)
4) 애저 로그 애널리틱스(Azure Log Analytics)
5) 애저 컨피겨레이션 매니지먼트(Azure Configuration Management)
6) 애저 다이애그노스틱스(Azure Diagnostics)
7) 그 외 다수

위즈의 연구원들은 “애저의 사용 현황을 고려했을 때 아무리 적게 잡아도 수만에서 수십만 대의 엔드포인트 장비들이 오미갓 취약점에 노출되어 있을 것으로 보고 있다”고 자사 블로그를 통해 밝히고 있다. “무작위로 사용자 중에서 샘플을 취합하고 조사했을 때 약 65%가 취약한 상태인 걸로 파악됐습니다. 적어도 전체 애저 사용자 중 절반 이상을 넘어 2/3 가까이가 취약하다고 볼 수 있다는 것이죠.”

오미갓 취약점들 중 가장 위험한 건 CVE-2021-38647이다. 위즈는 “교과서적인 원격 코드 실행 취약점”이라고 설명한다. “공격자들이 이 취약점을 익스플로잇 하는 데 성공할 경우 인증 헤더를 없앰으로써 원격 장비의 루트 권한을 차지할 수 있게 됩니다. OMI가 HTTPS 관리 포트인 5986, 5985, 1270을 노출시킬 경우 원격에서의 장비 장악도 가능하게 됩니다. OMI가 단독으로 설치될 때, 혹은 애저 컨피겨레이션 매니지먼트나 시스템 센터 오퍼레이션즈 매니저(System Center Operations Manager)에 설치될 때 이 포트들에서 HTTPS가 자동으로 노출됩니다.”

이 취약점은 CVSS를 기준으로 9.8점을 받았다. 대단히 위험한 취약점이라는 뜻인데, 타마리에 따르면 익스플로잇 난이도가 낮기까지 하다고 한다. “이미 소셜미디어에 이 취약점을 익스플로잇 하는 데 성공했다는 자랑들이 나오기 시작했습니다. 아마 며칠에서 몇 주 내에는 오미갓의 익스플로잇이 꽤나 시끄러운 화제가 될 것입니다. 조속히 오미갓 패치를 적용해야 안전해질 수 있습니다.”

OMI의 업데이트는 애저 서비스를 통해서만 할 수 있다. 사용자들은 OMI가 1.6.8.1 버전임을 확인하고, 그렇지 않을 경우 서비스들을 당분간 사용하지 않는다든지 고객 센터에 문의를 넣는 식으로 대처해야 한다고 한다. 현재 새로운 환경에서 애저 서비스들을 새로 활성화시킬 때 취약한 OMI 버전이 설치되는 것으로 알려져 있다.

3줄 요약
1. 애저 서비스 사용자라면 누구나 사용하고 있는 설정 관리 기능, OMI.
2. 이 OMI에서 네 가지 위험한 취약점이 발견되고 이번 주 패치됨.
3. 애저 서비스 사용자들은 OMI 버전이 1.6.8.1임을 확인해야 함.

[국제부 문가용 기자(globoan@boannews.com)]

<저작권자: 보안뉴스(www.boannews.com) 무단전재-재배포금지>

  •  
  • 0
  • 페이스북 보내기 트위터 보내기 네이버 밴드 보내기 카카오 스토리 보내기

  •  SNS에서도 보안뉴스를 받아보세요!! 
아이티스테이션 파워비즈모니터랩 파워비즈 6개월 2021년7월1~12월31일 까지엔사인 파워비즈 2021년6월1일~11월30일 까지2021 전망보고서위즈디엔에스 2018파워비즈배너 시작 11월6일 20181105-20200131
설문조사
2021년 주요 보안 위협 트렌드 가운데 올해 말까지 가장 큰 위협이 될 것으로 전망되는 트렌드 한 가지만 꼽아주신다면?
산업 전반에 영향 미치는 타깃형 랜섬웨어 공격 증가
다크웹/딥웹 등을 통한 기업 주요 정보 유출 및 판매 피해 급증
북한/중국/러시아 등 국가지원 해킹그룹의 위협 확대
코로나 팬더믹 등 사회적 이슈 악용한 사이버 공격
서드파티 SW나 조직 인프라 솔루션을 통한 공급망 공격 증가
업무 메일로 위장한 정보유출형 악성코드 활개
기타(댓글로)